Subject: bug#2825: 23.0.91; initial-buffer-choice useless with emacs daemon

From: Stefan Monnier <[email-masked]>
Date: Mon, 13 Apr 2009 13:51:19 -0400

>> I'm not sure what you mean by "the startup screen", but if a user
>> prefers to start with a (dired "~/") than with *scratch*, I can't think
>> of a good reason why we should disregard this preference when connecting
>> via the emacsclient.

> The startup screen is what `display-startup-screen' displays. 
> And that's my point too, *scratch* is a fine choice for now.

What does this have to do with the question at hand.  IIUC th question
at hand is: why should the server.el code show "*scratch*" when the user
has set initial-buffer-choice to some file name?

        Stefan